## vdr-plugin-mp3 0.9.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2004 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2005 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -81,6 +81,7 @@
 ### The version number of VDR (taken from VDR's "config.h"):
 
 VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }')
 
 ### The name of the distribution archive:
 
@@ -90,11 +91,11 @@
 ### Includes and Defines (add further entries here):
 
 INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
-DEFINES  += -D_GNU_SOURCE
+DEFINES  += -D_GNU_SOURCE -DVDRVERSNUM=$(VDRVERSNUM)
 
 ### The object files (add further files here):
 
-COM_OBJS = i18n.o data.o menu.o 
+COM_OBJS = i18n.o data.o menu.o
 
 OBJS     = $(PLUGIN).o $(COM_OBJS)\
             data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
@@ -112,6 +113,9 @@
 endif
 ifdef WITH_OSS_OUTPUT
   DEFINES += -DWITH_OSS
+endif
+ifdef BROKEN_PCM
+  DEFINES += -DBROKEN_PCM
 endif
 
 OBJS2    = $(PLUGIN2).o $(COM_OBJS)\
@@ -152,6 +156,9 @@
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
 
+i18ntest: i18ntest.c i18n.c i18n.h
+	$(CXX) $(CXXFLAGS) $(INCLUDES) $< -o $@
+
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
@@ -161,4 +168,4 @@
 	@echo Distribution package created as $(PACKAGE).tar.gz
 
 clean:
-	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) libvdr-*.so $(PACKAGE).tar.gz core* *~
+	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) i18ntest libvdr-*.so $(PACKAGE).tar.gz core* *~
