## vdr-plugin-mp3 0.9.14

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 ### The C++ compiler and options:
 CXX      ?= g++
-CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -O2 -fPIC -Wall -Woverloaded-virtual
 
 ###############################################
 ###############################################
