## vdr-plugin-mp3 0.9.15

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2005 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2006 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -51,14 +51,9 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
-
-### Allow user defined options to overwrite defaults:
-
--include $(VDRDIR)/Make.config
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,12 +62,9 @@
 PLUGIN  = mp3
 PLUGIN2 = mplayer
 
-ifndef WITHOUT_MP3
-  ALL += libvdr-$(PLUGIN).so
-endif
-ifndef WITHOUT_MPLAYER
-  ALL += libvdr-$(PLUGIN2).so
-endif
+### Allow user defined options to overwrite defaults:
+
+-include $(VDRDIR)/Make.config
 
 ### The version number of this plugin (taken from the main source file):
 
@@ -80,8 +72,16 @@
 
 ### The version number of VDR (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
-VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }')
+VDRVERSION = $(shell sed -ne '/define VDRVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+APIVERSION = $(shell sed -ne '/define APIVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+ifeq ($(strip $(APIVERSION)),)
+   APIVERSION = $(VDRVERSION)
+endif
+VDRVERSNUM = $(shell sed -ne '/define VDRVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
+APIVERSNUM = $(shell sed -ne '/define APIVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
+ifeq ($(strip $(APIVERSNUM)),)
+   APIVERSNUM = $(VDRVERSNUM)
+endif
 
 ### The name of the distribution archive:
 
@@ -90,10 +90,17 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
-DEFINES  += -D_GNU_SOURCE -DVDRVERSNUM=$(VDRVERSNUM)
+INCLUDES += -I$(VDRDIR)/include
+DEFINES  += -D_GNU_SOURCE -DAPIVERSNUM=$(APIVERSNUM)
 
 ### The object files (add further files here):
+
+ifndef WITHOUT_MP3
+  ALL += libvdr-$(PLUGIN).so
+endif
+ifndef WITHOUT_MPLAYER
+  ALL += libvdr-$(PLUGIN2).so
+endif
 
 COM_OBJS = i18n.o data.o menu.o
 
@@ -101,7 +108,7 @@
             data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
             decoder.o decoder-mp3.o decoder-mp3-stream.o decoder-snd.o \
             decoder-ogg.o
-LIBS     = -lz -lmad -lid3tag
+LIBS     = -lmad -lid3tag
 
 ifndef WITHOUT_LIBSNDFILE
   LIBS    += -lsndfile
@@ -150,11 +157,11 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN2).so: $(OBJS2)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 i18ntest: i18ntest.c i18n.c i18n.h
 	$(CXX) $(CXXFLAGS) $(INCLUDES) $< -o $@
