## vdr-plugin-mp3 0.10.2

=== debian/changelog ===
vdr-plugin-mp3 (0.10.2-23) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Standards-Version: 4.1.3
  * Don't do a recursive chown on /var/lib/vdr-pugin-mp*

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:33:45 +0200

vdr-plugin-mp3 (0.10.2-22) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:01:26 +0100

vdr-plugin-mp3 (0.10.2-21) unstable; urgency=medium

  * Added vdr 2.1.x compatibility patch from Lars Hanisch (yaVDR)
  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sun, 01 Mar 2015 19:48:32 +0100

vdr-plugin-mp3 (0.10.2-20) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:17:56 +0100

vdr-plugin-mp3 (0.10.2-19) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:11 +0200

vdr-plugin-mp3 (0.10.2-18) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:17 +0100

vdr-plugin-mp3 (0.10.2-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:45 +0100

vdr-plugin-mp3 (0.10.2-16) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:19:05 +0100

vdr-plugin-mp3 (0.10.2-15) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Mar 2013 13:33:44 +0100

vdr-plugin-mp3 (0.10.2-14) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:11:18 +0200

vdr-plugin-mp3 (0.10.2-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:14 +0200

vdr-plugin-mp3 (0.10.2-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:54 +0200

vdr-plugin-mp3 (0.10.2-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:17 +0100

vdr-plugin-mp3 (0.10.2-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:35 +0100

vdr-plugin-mp3 (0.10.2-8) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:53 +0200

vdr-plugin-mp3 (0.10.2-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:33 +0200

vdr-plugin-mp3 (0.10.2-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Fixed spelling errors in description

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:35 +0200

vdr-plugin-mp3 (0.10.2-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:11 +0200

vdr-plugin-mp3 (0.10.2-4) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 19:52:42 +0200

vdr-plugin-mp3 (0.10.2-3) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:09:21 +0200

vdr-plugin-mp3 (0.10.2-2) unstable; urgency=low

  * mplayer.sh, vdrmplayer.sh.conf: Add support for subcp and subfont-text-scale
    options - taken from 0.10.1-14ubuntu1 by Ilya Barygin (Closes: #571995)
  * Standards-Version: 3.8.4

 -- Tobias Grimm <etobi@debian.org>  Fri, 05 Mar 2010 00:46:26 +0100

vdr-plugin-mp3 (0.10.2-1) unstable; urgency=low

  * New upstream release
  * Dropped 12_gcc-4.4.dpatch - fixed upstream
  * Updated 10_debian-fhs-defaults.dpatch
  * Dropped 01_mp3-ogg-conv-utf8.dpatch - fixed upstream
  * Added 20_Makefile-fix.dpatch

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Jan 2010 20:51:31 +0100

vdr-plugin-mp3 (0.10.1-14) unstable; urgency=low

  * Added 12_gcc-4.4.dpatch
  * Standards-Version: 3.8.3
  * Removed non-standard shebang line from debian/rules (Closes: #552646)
  * Added README.source
  * Applied 11_mplayer.sh.conf-defaults to debian/mplayer.sh and dropped it
  * Applied 02_mplayer.sh-mysterix to debian/mplayer.sh and dropped it
  * Applied 03_mplayer.sh-websources to debian/mplayer.sh and dropped it
  * Applied 04_mplayer.sh-cache-min to debian/mplayer.sh and dropped it
  * Applied 10_debian-fhs-defaults to debian/mplayer.sh and stripped it

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:47:58 +0100

vdr-plugin-mp3 (0.10.1-13) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:58 +0200

vdr-plugin-mp3 (0.10.1-12) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0
  * Using COMPAT=5 now

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:59:50 +0200

vdr-plugin-mp3 (0.10.1-11) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:42:35 +0200

vdr-plugin-mp3 (0.10.1-10) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:02:15 +0200

vdr-plugin-mp3 (0.10.1-9) experimental; urgency=low


