=== debian/control ===
Source: vdr-plugin-mp3
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
Standards-Version: 4.1.3
Homepage: http://www.muempf.de/
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-mp3.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-mp3

Package: vdr-plugin-mp3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, eject
Suggests: mjpegtools (>=1:1.8.0), netpbm
Description: MP3 playback plugin for VDR
 This plugin for VDR allows one to play back mp3's, ogg-files and 
 audio-cds.

Package: vdr-plugin-mplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, eject (>=2.0.3-1), mplayer
Description: MPlayer playback plugin for VDR
 This plugin for VDR allows one to play back any video format supported
 by MPLayer.
