=== debian/watch ===
version=2
http://www.muempf.de/down/vdr-mp3-(.*)\.tar\.gz debian uupdate
