## vdr-plugin-mp3 0.10.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2007 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2009 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -65,27 +65,35 @@
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
-
-### The version number of this plugin (taken from the main source file):
-
-VERSION = $(shell grep 'define PLUGIN_VERSION' version.h | awk '{ print $$3 }' | sed -e 's/[";]//g')
+-include Make.config
+
+### The version number of this plugin:
+
+HGARCHIVE = .hg_archival.txt
+RELEASE := $(shell grep 'define PLUGIN_RELEASE' version.h | awk '{ print $$3 }' | sed -e 's/[";]//g')
+RELSTR  := $(shell if test -d .hg; then \
+                     echo -n "-"; (hg identify 2>/dev/null || echo -n "Unknown") | sed -e 's/ .*//'; \
+                   elif test -r $(HGARCHIVE); then \
+                     echo -n "-"; grep "^node" $(HGARCHIVE) | awk '{ printf "%.12s",$$2 }'; \
+                   fi)
+VERSION := $(RELEASE)$(RELSTR)
 
 ### The version number of VDR (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell sed -ne '/define VDRVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
-APIVERSION = $(shell sed -ne '/define APIVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+VDRVERSION := $(shell sed -ne '/define VDRVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
+APIVERSION := $(shell sed -ne '/define APIVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
 ifeq ($(strip $(APIVERSION)),)
    APIVERSION = $(VDRVERSION)
 endif
-VDRVERSNUM = $(shell sed -ne '/define VDRVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
-APIVERSNUM = $(shell sed -ne '/define APIVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
+VDRVERSNUM := $(shell sed -ne '/define VDRVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
+APIVERSNUM := $(shell sed -ne '/define APIVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
 ifeq ($(strip $(APIVERSNUM)),)
    APIVERSNUM = $(VDRVERSNUM)
 endif
 
 ### The name of the distribution archive:
 
-ARCHIVE = $(PLUGIN)-$(VERSION)
+ARCHIVE = $(PLUGIN)-$(RELEASE)
 PACKAGE = vdr-$(ARCHIVE)
 
 ### Includes and Defines (add further entries here):
@@ -95,25 +103,12 @@
 
 ### The object files (add further files here):
 
-ifndef WITHOUT_MP3
-  ALL += libvdr-$(PLUGIN).so
-  ifneq ($(shell grep -l 'Phrases' $(VDRDIR)/i18n.c),$(VDRDIR)/i18n.c)
-    ALL += i18n-$(PLUGIN)
-  endif
-endif
-ifndef WITHOUT_MPLAYER
-  ALL += libvdr-$(PLUGIN2).so
-  ifneq ($(shell grep -l 'Phrases' $(VDRDIR)/i18n.c),$(VDRDIR)/i18n.c)
-    ALL += i18n-$(PLUGIN2)
-  endif
-endif
-
-COM_OBJS = i18n.o data.o menu.o
+COM_OBJS = data.o menu.o version.o
 
 OBJS     = $(PLUGIN).o $(COM_OBJS)\
             data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
             decoder.o decoder-mp3.o decoder-mp3-stream.o decoder-snd.o \
-            decoder-ogg.o
+            decoder-ogg.o decoder-ogg-stream.o compat.o
 LIBS     = -lmad -lid3tag
 
 ifndef WITHOUT_LIBSNDFILE
@@ -135,36 +130,64 @@
             setup-mplayer.o player-mplayer.o
 LIBS2    = 
 
-ifeq ($(shell test -f $(VDRDIR)/fontsym.h ; echo $$?),0)
-  DEFINES += -DHAVE_BEAUTYPATCH
-endif  
-
 ifdef DBG
   CXXFLAGS += -g
 endif
 
+ifneq ($(shell if test $(APIVERSNUM) -ge 010703; then echo "*"; fi),)
+  DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
+endif
+
 ### Internationalization (I18N):
 
 PODIR     = po
 I18Npot   = $(PODIR)/mp3-mplayer.pot
-I18Npots  = $(notdir $(foreach file, $(wildcard $(PODIR)/*.po), $(basename $(file))))
-I18Nmsgs  = $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo,$(I18Npots)))
-I18Nmsgs2 = $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/vdr-$(PLUGIN2).mo,$(I18Npots)))
+I18Npots  := $(notdir $(foreach file, $(wildcard $(PODIR)/*.po), $(basename $(file))))
+ifeq ($(strip $(APIVERSION)),1.5.7)
+  I18Nmo  = $(PLUGIN).mo
+  I18Nmo2 = $(PLUGIN2).mo
+else
+  I18Nmo  = vdr-$(PLUGIN).mo
+  I18Nmo2 = vdr-$(PLUGIN2).mo
+endif
 LOCALEDIR = $(VDRDIR)/locale
+I18Nmsgs  := $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/$(I18Nmo),$(I18Npots)))
+I18Nmsgs2 := $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/$(I18Nmo2),$(I18Npots)))
+
+HASLOCALE = $(shell grep -l 'I18N_DEFAULT_LOCALE' $(VDRDIR)/include/vdr/i18n.h)
+ifeq ($(strip $(HASLOCALE)),)
+  COM_OBJS += i18n.o
+endif
+
+### Targets:
+
+ifndef WITHOUT_MP3
+  ALL += libvdr-$(PLUGIN).so
+  ifneq ($(strip $(HASLOCALE)),)
+    ALL += i18n-$(PLUGIN)
+  endif
+endif
+ifndef WITHOUT_MPLAYER
+  ALL += libvdr-$(PLUGIN2).so
+  ifneq ($(strip $(HASLOCALE)),)
+    ALL += i18n-$(PLUGIN2)
+  endif
+endif
+
+all: $(ALL)
+.PHONY: i18n-$(PLUGIN) i18n-$(PLUGIN2)
 
 # Dependencies:
 
 MAKEDEP = g++ -MM -MG
 DEPFILE = .dependencies
-$(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) > $@
+DEPFILES = $(subst i18n.c,,$(subst version.c,,$(OBJS:%.o=%.c) $(OBJS2:%.o=%.c)))
+$(DEPFILE): Makefile $(DEPFILES) $(wildcard *.h)
+	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(DEPFILES) > $@
 
 -include $(DEPFILE)
 
-### Targets:
-
-all: $(ALL)
-.PHONY: i18n-$(PLUGIN) i18n-$(PLUGIN2)
+# Rules
 
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
@@ -177,27 +200,37 @@
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
-$(I18Npot): $(shell grep -rl '\(tr\|trNOOP\)(\".*\")' *.c $(SYSDIR))
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<s.huelswitt@gmx.de>' -o $@ $^
+$(I18Npot): $(shell grep -rl '\(tr\|trNOOP\)(\".*\")' *.c )
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<s.huelswitt@gmx.de>' -o $@ $^
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
 	@touch $@
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
-$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/$(I18Nmo): $(PODIR)/%.mo
 	@mkdir -p $(dir $@)
 	cp $< $@
 
 i18n-$(PLUGIN): $(I18Nmsgs)
 
-$(I18Nmsgs2): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN2).mo: $(PODIR)/%.mo
+$(I18Nmsgs2): $(LOCALEDIR)/%/LC_MESSAGES/$(I18Nmo2): $(PODIR)/%.mo
 	@mkdir -p $(dir $@)
 	cp $< $@
 
 i18n-$(PLUGIN2): $(I18Nmsgs2)
+
+i18n.c: $(PODIR)/*.po i18n-template.c po2i18n.pl
+	perl ./po2i18n.pl <i18n-template.c >i18n.c
+
+version.c: FORCE
+	@echo >$@.new "/* this file will be overwritten without warning */"; \
+	 echo >>$@.new 'const char *PluginVersion =' '"'$(VERSION)'";'; \
+	 diff $@.new $@ >$@.diff 2>&1; \
+	 if test -s $@.diff; then mv -f $@.new $@; fi; \
+	 rm -f $@.new $@.diff;
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
@@ -209,4 +242,7 @@
 
 clean:
 	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) libvdr-*.so $(PACKAGE).tar.gz core* *~
-	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
+	@-rm -f version.c i18n.c
+	@-rm -f $(PODIR)/*.mo
+
+FORCE:
