=== debian/changelog ===
vdr-plugin-mp3 (0.10.4-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 20:04:45 +0100

vdr-plugin-mp3 (0.10.4-1) unstable; urgency=medium

  [ Tobias Grimm ]
  * Project moved to GitHub site
  * New upstream version 0.10.4
  * Update debhelper-compat to 13
  * Build-Depend on vdr >= 2.4.7 (Closes: #984389)

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933201)

 -- Tobias Grimm <etobi@debian.org>  Wed, 22 Dec 2021 08:42:29 +0100

vdr-plugin-mp3 (0.10.2-25) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:25:05 +0100

vdr-plugin-mp3 (0.10.2-24) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 20:14:33 +0200
