=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
-Standards-Version: 4.1.3
-Homepage: http://www.muempf.de/
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
+Standards-Version: 4.6.0
+Homepage: https://github.com/vdr-projects/vdr-plugin-mp3
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-mp3.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-mp3
