=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config
CXXFLAGS += $(shell $(PKG_CONFIG) vdr --variable=cxxflags) $(LDFLAGS)

%:
	dh $@ --with vdrplugin

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_install:
	#
	# vdr-plugin-mp3
	#
	install -m 755 $(CURDIR)/debian/mount.sh \
	  $(CURDIR)/debian/vdr-plugin-mp3/usr/share/vdr-plugin-mp3/mount

	install -m 755 $(CURDIR)/examples/image_convert.sh.example \
	  $(CURDIR)/debian/vdr-plugin-mp3/usr/share/vdr-plugin-mp3/image_convert

	cp $(CURDIR)/examples/mp3sources.conf.example \
	  $(CURDIR)/debian/vdr-plugin-mp3/etc/vdr/plugins/mp3sources.conf

	tar -c -f - locale/*/*/vdr-mp3.mo | \
	  tar -x -f - -C debian/vdr-plugin-mp3/usr/share

	install -m 755 $(CURDIR)/debian/mount.sh \
	  $(CURDIR)/debian/vdr-plugin-mplayer/usr/share/vdr-plugin-mplayer/mount

	#
	# vdr-plugin-mplayer
	#
	install -m 755 $(CURDIR)/debian/mplayer.sh \
	  $(CURDIR)/debian/vdr-plugin-mplayer/usr/share/vdr-plugin-mplayer/mplayer

	tar -c -f - locale/*/*/vdr-mplayer.mo | \
	  tar -x -f - -C debian/vdr-plugin-mplayer/usr/share
	
	dh_install

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*
