## vdr-plugin-mp3 0.10.5

=== debian/changelog ===
vdr-plugin-mp3 (0.10.5-1) unstable; urgency=medium

  * New upstream version 0.10.5
  * add myself to uploaders
  * replace build-depends pkg-config with pkgconf
  * fix clean target

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Feb 2025 19:31:38 +0100
