=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
 Standards-Version: 4.6.0
 Homepage: https://github.com/vdr-projects/vdr-plugin-mp3
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-mp3.git
