=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	dh $@ --with vdrplugin
 
 override_dh_auto_build:
+	cp -a po po.sav
 	dh_auto_build -- all $(MAKE_OPTIONS)
 
 override_dh_install:
@@ -41,9 +42,11 @@
 
 	tar -c -f - locale/*/*/vdr-mplayer.mo | \
 	  tar -x -f - -C debian/vdr-plugin-mplayer/usr/share
-	
+
 	dh_install
 
 override_dh_auto_clean:
 	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
 	rm -rf locale libvdr-*.so.*
+	-cp -a po.sav/* po/
+	-rm -r po.sav po/mp3-mplayer.pot
